import java.net.*;
import java.util.Scanner;
import java.io.*;

public class TCPClient
{
	public InetSocketAddress serverAddress = null; 
	public Socket clientSocket    = null;
	public ObjectOutputStream out = null;
	public ObjectInputStream in   = null;
	    
	public TCPClient(InetSocketAddress serverAddress)
	{
		this.serverAddress = serverAddress;
	}
	
	public void start() 
	{
		try
		{
			 this.clientSocket = new Socket();
		     this.clientSocket.connect(this.serverAddress);
		     
		     out = new ObjectOutputStream(clientSocket.getOutputStream());
			 out.flush();
			 
			 in = new ObjectInputStream(clientSocket.getInputStream());
			 System.out.println("Client ready to send messages!");
			 
			 while(true)
			 {
				 Scanner scanner = new Scanner(System.in);
				 String message = scanner.nextLine().trim();
				 
				 out.writeObject(message);
				 System.out.println("Received: " + in.readObject());
			 }			
		}
		catch (Exception e)
		{
			e.printStackTrace();
		}
		finally
		{
			if(clientSocket != null)
			{	
				try
				{
					clientSocket.close();
				}
				catch(IOException e)
				{
					e.printStackTrace();
				}
			}
		}
	}
	
	public static void main(String args[])
	{
		int port = 3000;
	    InetSocketAddress serverAddress = new InetSocketAddress(port);
	    
		TCPClient client = new TCPClient(serverAddress);
		client.start();
	}
}   
